/*
 * useropts.h - user options while starting csmngr.
 *
 * Copyright (C) 2024 IOPSYS Software Solutions AB. All rights reserved.
 *
 * See LICENSE file for license related information.
 *
 */


#ifndef USEROPTS_H
#define USEROPTS_H

/* default options */
#define CSMNGR_CONFFILE			"wireless"
#define CSMNGR_CONFFILE_PATH		"/etc/config"
#define WIFIMNGR_OBJECT			"wifi"
#define CSMNGR_OBJECT			WIFIMNGR_OBJECT".acs"
#define CSMNGR_PIDFILE			"/var/run/csmngr.pid"
#define CSMNGR_CMDPATH			"/var/run/csmngr.cmd"
#define MAX_IFNAMES			8

struct csmngr_useropts {
	const char *ubus_sockpath;
	const char *cmdpath;
	const char *pidfile;
	const char *objname;
	bool daemonize;
	const char *conffile;
	const char *confpath;
	int debug_level;
	const char *logfile;
	bool logfile_isfifo;
	bool syslogging;
	bool lo;
	char *ifname[MAX_IFNAMES];
	int num_ifname;
};

#endif /* USEROPTS_H */
